import apiClient from "./apiClient";

export const getUsers = () => apiClient.get("/api/users/");
// export const getUsers = (page = 1, limit = 20) =>
//   apiClient.get(`/api/users/?page=${page}&limit=${limit}`);
export const getUser = (id) => apiClient.get(`/api/users/${id}/`);
export const createUser = (payload) =>
  apiClient.post("/api/users/create/", payload);
export const createUserWithCase = (payload) =>
  apiClient.post("/api/users/create-with-case/", payload);
export const updateUser = (id, payload) =>
  apiClient.put(`/api/users/update/${id}/`, payload);
export const patchUser = (id, payload) =>
  apiClient.patch(`/api/users/update/${id}/`, payload);
export const getAllRole = () => apiClient.get("/api/roles/");
